# rbnf.h File Reference

C++ API: Rule Based Number Format. More...

`#include "unicode/utypes.h"`
`#include "unicode/coll.h"`
`#include "unicode/dcfmtsym.h"`
`#include "unicode/fmtable.h"`
`#include "unicode/locid.h"`
`#include "unicode/numfmt.h"`
`#include "unicode/unistr.h"`
`#include "unicode/strenum.h"`

Go to the source code of this file.

## Data Structures
class | RuleBasedNumberFormat
| The RuleBasedNumberFormat class formats numbers according to a set of rules. More...
## Defines
#define | U_HAVE_RBNF 1
| This will be 0 if RBNF support is not included in ICU and 1 if it is.
## Enumerations
enum | URBNFRuleSetTag { URBNF_SPELLOUT, URBNF_ORDINAL, URBNF_DURATION, URBNF_NUMBERING_SYSTEM, URBNF_COUNT }
| Tags for the predefined rulesets. More...

## Detailed Description

C++ API: Rule Based Number Format.

Definition in file rbnf.h.

## Define Documentation

#define U_HAVE_RBNF 1

This will be 0 if RBNF support is not included in ICU and 1 if it is.

Stable:
  ICU 2.4

Definition at line 28 of file rbnf.h.

## Enumeration Type Documentation

enum URBNFRuleSetTag

Tags for the predefined rulesets.

Stable:
  ICU 2.2

Definition at line 48 of file rbnf.h.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Defines